Page MenuHomePhabricator

SyntaxHighlight-Geshi CSS not included in special pages ([[Special:Cite]], [[Special:ExpandTemplates]])
Closed, ResolvedPublic

Description

For example: https://ru.wikipedia.org/w/index.php?title=Special:Cite&page=MediaWiki&id=46449518 (BibTeX)
SyntaxHighlight works and source code formated well, but no styles loaded.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=64969

Details

Reference
bz39049

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz39049.
putnik created this task.Aug 5 2012, 7:02 AM
Reedy added a comment.Aug 5 2012, 7:11 PM

It's not actually a SyntaxHighlight_geshi box...

putnik added a comment.Aug 6 2012, 1:53 AM

Why not? It looks like usual highlighted text:

<div dir="ltr" class="mw-geshi mw-code mw-content-ltr">

<div class="bibtex source-bibtex">
  <pre class="de1">
    ...
  </pre>
</div>

</div>

I confirm this bug.

TheDJ added a comment.May 4 2014, 10:59 PM

I just tested, but the both [[Special:Cite]] and [[Special:ExpandTemplates]] do not seem to load modules of parsed content at all.

This bug is thus no longer dependent on bug 35017.

Test links:
http://en.wikipedia.beta.wmflabs.org/wiki/Special:ExpandTemplates?wpInput=%3Csource+lang%3D%22java%22%3E%0Apublic+static+void+main%0A%3C%2Fsource%3E

http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Special%3ACite&page=Main_Page

Change 131411 had a related patch set uploaded by TheDJ:
Special:Cite: Load RL modules of parsed content

https://gerrit.wikimedia.org/r/131411

TheDJ added a comment.May 5 2014, 12:07 AM

I tried a similar patch for expand templates, but for some reason that doesn't seem to work. will investigate later.

Change 131412 had a related patch set uploaded by TheDJ:
Special:ExpandTemplates: Load RL modules

https://gerrit.wikimedia.org/r/131412

Change 131411 merged by jenkins-bot:
Special:Cite: Load RL modules of parsed content

https://gerrit.wikimedia.org/r/131411

Change 131412 merged by jenkins-bot:
Special:ExpandTemplates: Load RL modules

https://gerrit.wikimedia.org/r/131412